Search documentation of Ragex

# Ragex.Watcher (Ragex v0.4.0)

View Source

Watches directories for file changes and automatically re-analyzes modified files.

Uses FileSystem to monitor for changes and triggers re-analysis on supported files.

## Summary

### Functions

child_spec(init_arg)

Returns a specification to start this module under a supervisor.

list_watched()

Lists all currently watched directories.

start_link(opts \\ [])
unwatch_directory(path)

Stops watching a directory.

watch_directory(path)

Starts watching a directory for changes.

## Functions

# child_spec(init_arg)

Returns a specification to start this module under a supervisor.

See `Supervisor`.

# list_watched()

Lists all currently watched directories.

# start_link(opts \\ [])

# unwatch_directory(path)

Stops watching a directory.

# watch_directory(path)

Starts watching a directory for changes.